Open CASCADE Technology: BRepLib_MakeEdge2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepLib_MakeEdge2d Class Reference

Provides methods to build edges. More...

`#include <BRepLib_MakeEdge2d.hxx>`

Inheritance diagram for BRepLib_MakeEdge2d:
[legend]

## Public Member Functions
| BRepLib_MakeEdge2d (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
| BRepLib_MakeEdge2d (const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| BRepLib_MakeEdge2d (const gp_Lin2d &L)
| BRepLib_MakeEdge2d (const gp_Lin2d &L, const Standard_Real p1, const Standard_Real p2)
| BRepLib_MakeEdge2d (const gp_Lin2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| BRepLib_MakeEdge2d (const gp_Lin2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
| BRepLib_MakeEdge2d (const gp_Circ2d &L)
| BRepLib_MakeEdge2d (const gp_Circ2d &L, const Standard_Real p1, const Standard_Real p2)
| BRepLib_MakeEdge2d (const gp_Circ2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| BRepLib_MakeEdge2d (const gp_Circ2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
| BRepLib_MakeEdge2d (const gp_Elips2d &L)
| BRepLib_MakeEdge2d (const gp_Elips2d &L, const Standard_Real p1, const Standard_Real p2)
| BRepLib_MakeEdge2d (const gp_Elips2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| BRepLib_MakeEdge2d (const gp_Elips2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
| BRepLib_MakeEdge2d (const gp_Hypr2d &L)
| BRepLib_MakeEdge2d (const gp_Hypr2d &L, const Standard_Real p1, const Standard_Real p2)
| BRepLib_MakeEdge2d (const gp_Hypr2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| BRepLib_MakeEdge2d (const gp_Hypr2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
| BRepLib_MakeEdge2d (const gp_Parab2d &L)
| BRepLib_MakeEdge2d (const gp_Parab2d &L, const Standard_Real p1, const Standard_Real p2)
| BRepLib_MakeEdge2d (const gp_Parab2d &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| BRepLib_MakeEdge2d (const gp_Parab2d &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
| BRepLib_MakeEdge2d (const Handle< Geom2d_Curve > &L)
| BRepLib_MakeEdge2d (const Handle< Geom2d_Curve > &L, const Standard_Real p1, const Standard_Real p2)
| BRepLib_MakeEdge2d (const Handle< Geom2d_Curve > &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| BRepLib_MakeEdge2d (const Handle< Geom2d_Curve > &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
| BRepLib_MakeEdge2d (const Handle< Geom2d_Curve > &L, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Real p1, const Standard_Real p2)
| BRepLib_MakeEdge2d (const Handle< Geom2d_Curve > &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2)
void | Init (const Handle< Geom2d_Curve > &C)
void | Init (const Handle< Geom2d_Curve > &C, const Standard_Real p1, const Standard_Real p2)
void | Init (const Handle< Geom2d_Curve > &C, const gp_Pnt2d &P1, const gp_Pnt2d &P2)
void | Init (const Handle< Geom2d_Curve > &C, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
void | Init (const Handle< Geom2d_Curve > &C, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Real p1, const Standard_Real p2)
void | Init (const Handle< Geom2d_Curve > &C, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2)
BRepLib_EdgeError | Error () const
| Returns the error description when NotDone. More...
const TopoDS_Edge & | Edge () const
| operator TopoDS_Edge () const
const TopoDS_Vertex & | Vertex1 () const
| Returns the first vertex of the edge. May be Null. More...
const TopoDS_Vertex & | Vertex2 () const
| Returns the second vertex of the edge. May be Null. More...
Public Member Functions inherited from BRepLib_MakeShape
void | Build ()
| This is called by Shape(). It does nothing but may be redefined. More...
const TopoDS_Shape & | Shape () const
| operator TopoDS_Shape () const
virtual BRepLib_ShapeModification | FaceStatus (const TopoDS_Face &F) const
| returns the status of the Face after the shape creation. More...
virtual Standard_Boolean | HasDescendants (const TopoDS_Face &F) const
| Returns True if the Face generates new topology. More...
virtual const TopTools_ListOfShape & | DescendantFaces (const TopoDS_Face &F)
| returns the list of generated Faces. More...
virtual Standard_Integer | NbSurfaces () const
| returns the number of surfaces after the shape creation. More...
virtual const TopTools_ListOfShape & | NewFaces (const Standard_Integer I)
| Return the faces created for surface I. More...
virtual const TopTools_ListOfShape & | FacesFromEdges (const TopoDS_Edge &E)
| returns a list of the created faces from the edge <E>. More...
Public Member Functions inherited from BRepLib_Command
virtual void | Delete ()
virtual | ~BRepLib_Command ()
Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Additional Inherited Members
Protected Member Functions inherited from BRepLib_MakeShape
| BRepLib_MakeShape ()
Protected Member Functions inherited from BRepLib_Command
| BRepLib_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...
Protected Attributes inherited from BRepLib_MakeShape
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenFaces
TopTools_ListOfShape | myNewFaces
TopTools_ListOfShape | myEdgFaces

## Detailed Description

Provides methods to build edges.

The methods have the following syntax, where TheCurve is one of Lin2d, Circ2d, ...

Create(C : TheCurve)

Makes an edge on the whole curve. Add vertices on finite curves.

Create(C : TheCurve; p1,p2 : Real)

Make an edge on the curve between parameters p1 and p2. if p2 < p1 the edge will be REVERSED. If p1 or p2 is infinite the curve will be open in that direction. Vertices are created for finite values of p1 and p2.

Create(C : TheCurve; P1, P2 : Pnt2d from gp)

Make an edge on the curve between the points P1 and P2. The points are projected on the curve and the previous method is used. An error is raised if the points are not on the curve.

Create(C : TheCurve; V1, V2 : Vertex from TopoDS)

Make an edge on the curve between the vertices V1 and V2. Same as the previous but no vertices are created. If a vertex is Null the curve will be open in this direction.

## Constructor & Destructor Documentation

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Lin2d & | L | ) |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Lin2d & | L,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Lin2d & | L,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Lin2d & | L,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Circ2d & | L | ) |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Circ2d & | L,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Circ2d & | L,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Circ2d & | L,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Elips2d & | L | ) |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Elips2d & | L,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Elips2d & | L,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Elips2d & | L,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Hypr2d & | L | ) |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Hypr2d & | L,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Hypr2d & | L,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Hypr2d & | L,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Parab2d & | L | ) |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Parab2d & | L,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Parab2d & | L,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const gp_Parab2d & | L,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L | ) |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::BRepLib_MakeEdge2d | ( | const Handle< Geom2d_Curve > & | L,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

## Member Function Documentation

const TopoDS_Edge& BRepLib_MakeEdge2d::Edge | ( |  | ) | const

BRepLib_EdgeError BRepLib_MakeEdge2d::Error | ( |  | ) | const

Returns the error description when NotDone.

void BRepLib_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C | ) |

void BRepLib_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

void BRepLib_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2
| ) |  |

void BRepLib_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2
| ) |  |

void BRepLib_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C,
|  | const gp_Pnt2d & | P1,
|  | const gp_Pnt2d & | P2,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

void BRepLib_MakeEdge2d::Init | ( | const Handle< Geom2d_Curve > & | C,
|  | const TopoDS_Vertex & | V1,
|  | const TopoDS_Vertex & | V2,
|  | const Standard_Real | p1,
|  | const Standard_Real | p2
| ) |  |

BRepLib_MakeEdge2d::operator TopoDS_Edge | ( |  | ) | const

const TopoDS_Vertex& BRepLib_MakeEdge2d::Vertex1 | ( |  | ) | const

Returns the first vertex of the edge. May be Null.

const TopoDS_Vertex& BRepLib_MakeEdge2d::Vertex2 | ( |  | ) | const

Returns the second vertex of the edge. May be Null.

The documentation for this class was generated from the following file:

- BRepLib_MakeEdge2d.hxx